# getManagerVisibilityConfig

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/manager-visibility/config |

| Field | Value |
|---|---|
| operationId | getManagerVisibilityConfig |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /manager-visibility/config |
| tags | `Manager Visibility` |
| summary | Read the org manager-visibility config catalog (Owner only) |
| badges | `{"name":"Owner"}` |

## Request Parameters

None.

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Guardrail catalog rows | #/components/schemas/OrgInsightVisibilityRowDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 403 | Owner role required | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "Insufficient role privileges",
  "error": "AUTH_INSUFFICIENT_ROLE"
}
```
